Skip to main content
GET
/
jobs
/
{id}
Get Job Status
curl --request GET \
  --url https://api.croma.run/jobs/{id} \
  --header 'Authorization: Bearer <token>'
{
  "job": {
    "id": "<string>",
    "endpoint": "<string>",
    "created_at": "2023-11-07T05:31:56Z",
    "finished_at": "2023-11-07T05:31:56Z",
    "status_url": "<string>"
  },
  "data": {},
  "error": {
    "type": "<string>",
    "code": "<string>",
    "message": "<string>"
  }
}

Authorizations

Authorization
string
header
required

Use Authorization: Bearer YOUR_API_KEY

Path Parameters

id
string
required

Job id returned as job.id / X-Job-Id when the job was created.

Response

Job envelope (pending, completed, or failed).

Returned by async-capable endpoints (202) and by GET /jobs/{id}. data holds the endpoint's normal result once status is completed; error is populated once status is failed.

job
object
required
data
object
required

The endpoint's normal result object once completed; null until then.

error
object
required

Populated once the job has failed; null otherwise.